export interface PaginatedResult<T> {
    data: T[];
    meta: {
        total: number;
        lastPage: number;
        currentPage: number;
        perPage: number;
        prev: number | null;
        next: number | null;
    };
}
export declare type PaginateOptions = {
    page?: number | string;
    perPage?: number | string;
};
export declare type PaginateFunction = <T, K>(model: any, args?: K, options?: PaginateOptions) => Promise<PaginatedResult<T>>;
export declare const createPaginator: (defaultOptions: PaginateOptions) => PaginateFunction;
